--- 
title: Aplicaciones Telemáticas, Guía de Estudio
author: Miguel Angel Ortuño Pérez
date: Diciembre 2023
---

Introducción
============

La presente guía de estudio está diseñada para la asignatura
*Aplicaciones Telemáticas*, asignatura de 4º curso del grado en
Ingeniería Telemática que se imparte en las Escuela de Ingeniería de
Fuenlabrada de la Universidad Rey Juan Carlos.

Se trata de una asignatura cuatrimestral, con 13 semanas por
cuatrimestre, dos sesiones por semana y 2 horas por sesión. Considerando
que cada curso puede tener uno o dos días no lectivos, posibles desfases
entre planificación y ejecución, así como otras incidencias, la guía se
estructura en 23 sesiones.

Sesión 1
========

Contenidos
----------

-   Introduccion a la asignatura.

-   Introducción al diseño web y el lenguaje HTML.

-   Antecedentes y versiones del lenguaje HTML.

Objetivos de aprendizaje
------------------------

-   Conocer la forma de trabajo y evaluación de la asignatura.

-   Conocer la evolución del lenguaje HTML.

-   Entender las razones históricas que determinan el diseño de HTML.

-   Conocer la estructura básica de un documento HTML.

Materiales utilizados
---------------------

-   Guía docente, página web y aula virtual de la asignatura.

Actividades planificadas
------------------------

-   Clase magistral.

-   Resolución de dudas.

Sesión 2
========

Contenidos
----------

-   Lenguajes de marcado.

-   Markdown.

-   Sintaxis de HTML.

-   Elementos en la cabecera de un documento HTML.

Materiales utilizados
---------------------

-   Transparencias del tema 1.

Objetivos de aprendizaje
------------------------

-   Conocer los principios básicos de los lenguajes de marcado.

-   Distinguir documentos en distintas versiones de HTML, así como XHTML
    y XML.

-   Construir cabeceras de documentos HTML.

-   Redactar documentos en formato markdown.

-   Procesar automáticamente documentos en formato markdown.

Actividades planificadas
------------------------

-   Clase magistral (50 minutos aprox.)

-   Prácticas 1.1 y 1.2.

Sesión 3
========

Contenidos
----------

-   Elementos en el cuerpo de un documento HTML.

Materiales utilizados
---------------------

-   Transparencias del tema 1.

-   W3C HTML validator.

Objetivos de aprendizaje
------------------------

-   Distinguir los documentos HTML con sintaxis correcta de documentos
    con errores.

-   Escribir documentos HTML 5 correctos, con contenido multimedia, sin
    controles de entrada.

-   Usar herramientas automáticas de respaldo de ficheros.

-   Aplicar correctamente las etiquetas semánticas.

Actividades planificadas
------------------------

-   Clase magistral (80 minutos aprox.)

-   Práctica 1.3.

-   Práctica 1.4.

Sesión 4
========

Contenidos
----------

-   Formularios en HTML 5.

Materiales utilizados
---------------------

-   Transparencias del tema 1.

Objetivos de aprendizaje
------------------------

-   Entender el funcionamiento de los formularios HTML.

-   Crear diversos tipos de controles de entrada como campos de texto,
    casillas de verificación, botones de radio, y menús desplegables.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Práctica 1.5.

Sesión 5
========

Contenidos
----------

CSS:

-   Princpios básicos.

-   Selectores.

Materiales utilizados
---------------------

-   Transparencias tema 2.

Objetivos de aprendizaje
------------------------

-   Conocer la sintaxis de CSS.

-   Aplicar buenas prácticas de diseño web, separando contenido y
    formato.

-   Analizar reglas CSS con selectores universales, de tipo,
    descendientes, de clase y de identidad.

-   Escribir CSS con selectores universales, de tipo, descendientes, de
    clase y de identidad.

Actividades planificadas
------------------------

-   Clase magistral (60 minutos aprox.)

-   Práctica 2.1.

-   Práctica 2.2.

Sesión 6
========

Contenidos
----------

CSS:

-   Unidades y colores.

-   Atributos relacionados con el texto.

-   El modelo de cajas de HTML.

Materiales utilizados
---------------------

-   Transparencias tema 2.

-   Herramientas web *html color picker*.

-   Generador de paletas de color *Coolors*.

Objetivos de aprendizaje
------------------------

-   Conectar hojas de estilo CSS con documentos HTML.

-   Utilizar herramientas automáticas de generación de paletas de color,
    con un mínimo criterio estético.

-   Aplicar estilos simples con color, márgenes, bordes y tipos de
    letra.

Actividades planificadas
------------------------

-   Clase magistral (30 minutos aprox.)

-   Práctica 2.3.

-   Práctica 2.4.

Sesión 7
========

Contenidos
----------

-   Diseño web *responsivo* (adaptable automáticamente a diversos
    entornos)

-   La rejilla de Bootstrap 5.

-   Componentes de Bootstrap 5: Botones, tablas y tarjetas.

Materiales utilizados
---------------------

-   Transparencias del tema 3.

Objetivos de aprendizaje
------------------------

-   Comprendr los principios básicos del diseño *responsivo*.

-   Usar los elementos básicos de Bootstrap 5.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Prácticas 2.5 a 2.8.

Sesión 8
========

Contenidos
----------

-   Componentes de Bootstrap 5: Carrusel, formularios.

Materiales utilizados
---------------------

-   Transparencias del tema 3.

Objetivos de aprendizaje
------------------------

-   Construir páginas web *responsivas* con Bootstrap 5.

Actividades planificadas
------------------------

-   Clase magistral (20 minutos aprox.)

-   Prácticas 2.9 a 2.10.

Sesión 9
========

Contenidos
----------

-   Introducción a JavaScript.

-   JavaScript en el escritorio (node.js) y en el navegador.

-   Sintaxis, expresiones, funciones.

Materiales utilizados
---------------------

-   Transparencias del tema 4.

Objetivos de aprendizaje
------------------------

-   Conocer los principios de diseño del lenguaje JavaScript.

-   Escribir *holamundos* en el escritorio y en el navegador.

Actividades planificadas
------------------------

-   Clase magistral (90 minutos aprox.)

-   Prácticas 3.1 a 3.3.

Sesión 10
=========

Contenidos
----------

-   Funciones flecha.

-   Sentencias de control.

-   Cadenas, arrays.

Materiales utilizados
---------------------

-   Transparencias del tema 4.

Objetivos de aprendiza
----------------------

-   Escribir programas JavaScript básicos en el escritorio.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Prácticas 3.4 a 3.8.

Sesión 11
=========

Contenidos
----------

-   *Plain objects*.

Materiales utilizados
---------------------

-   Clase magistral (10 minutos aprox.)

-   Transparencias del tema 4.

Objetivos de aprendizaje
------------------------

-   Desarrollar programas JavaScript en el escritorio.

Actividades planificadas
------------------------

-   Prácticas 3.9 a 3.11.

Sesión 12
=========

Contenidos
----------

Materiales utilizados
---------------------

-   Transparencias del tema 4

Objetivos de aprendizaje
------------------------

-   Desarrollar, con cierta soltura, programas JavaScript en el
    escritorio.

Actividades planificadas
------------------------

-   Prácticas 3.12 y 3.13.

Sesión 13
=========

Contenidos
----------

-   Introducción al DOM.

-   Manejadores de eventos.

Materiales utilizados
---------------------

-   Transparencias del tema 5.

Objetivos de aprendizaje
------------------------

-   Conocer los principios básicos del DOM.

-   Escribir programas mínimos en JavaScript que usen manejadores para
    el DOM.

Actividades planificadas
------------------------

-   Clase magistral (80 minutos aprox.)

-   Práctica 4.1.

Sesión 14
=========

Contenidos
----------

-   Acceso al contenido de los elementos del DOM.

-   Variables globales.

Materiales utilizados
---------------------

-   Transparencias del tema 5.

Objetivos de aprendizaje
------------------------

-   Escribir programas mínimos en JavaScript que modifiquen aspectos
    básico de elementos del DOM preexistentes.

Actividades planificadas
------------------------

-   Clase magistral (30 minutos aprox.)

-   Prácticas 4.2 y 4.3

Sesión 15
=========

Contenidos
----------

-   Creación dinámica de elementos.

Materiales utilizados
---------------------

-   Transparencias del tema 5.

Objetivos de aprendizaje
------------------------

-   Escribir programas en JavaScript que generen elementos del DOM.

Actividades planificadas
------------------------

-   Clase magistral (20 minutos aprox.)

-   Práctica 4.4.

Sesión 16
=========

Contenidos
----------

-   Identificación y modificación de elementos del DOM.

Materiales utilizados
---------------------

-   Transparencias del tema 5.

Objetivos de aprendizaje
------------------------

-   Escribir programas en JavaScript que modifiquen elementos del DOM
    generados dinámicamente.

Actividades planificadas
------------------------

-   Clase magistral (20 minutos aprox.)

-   Prácticas 4.5 y 4.6.

Sesión 17
=========

Contenidos
----------

-   Eventos de ratón.

Materiales utilizados
---------------------

-   Transparencias del tema 5.

Objetivos de aprendizaje
------------------------

-   Escribir programas en JavaScript que manejen los principales eventos
    de ratón.

Actividades planificadas
------------------------

-   Clase magistral (15 minutos aprox.)

-   Práctica 4.7.

Sesión 18
=========

Contenidos
----------

-   Formularios.

Materiales utilizados
---------------------

-   Transparencias del tema 6.

Objetivos de aprendizaje
------------------------

-   Manejo de fechas en JavaScript.

-   Escribir programas en JavaScript que procesen formularios.

Actividades planificadas
------------------------

-   Clase magistral (15 minutos aprox.)

-   Práctica 4.8.

Sesión 19
=========

Contenidos
----------

-   Programación orientada a objetos basada en prototipos.

-   Programación orientada a objetos basada en clases.

Materiales utilizados
---------------------

-   Transparencias del tema 6.

Objetivos de aprendizaje
------------------------

-   Conocer las ventajas e inconvenientes de la POO basada en clases
    frente a la POO basada en prototipos.

-   Desarrollar programas básicos en JavaScript empleando POO basada en
    clases.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Finalizacion de prácticas pendientes.

Sesión 20
=========

Contenidos
----------

Apis de HTML5:

-   Web storage.

-   Web workers.

-   Geolocalización.

Materiales utilizados
---------------------

-   Transparencias del tema 7.

Objetivos de aprendizaje
------------------------

-   Desarrollar programas en JavaScript empleando el API *Web Storage*
    de HTML 5.

-   Conocer las características principales de los *Web Workers* de
    HTML5.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Práctica 5.1.

Sesión 21
=========

Contenidos
----------

-   Json (recordatorio)

-   APIs de servicios para JavaScript

    -   YouTube.

    -   OpenStreetMaps.

Materiales utilizados
---------------------

-   Transparencias del tema 8.

Objetivos de aprendizaje
------------------------

-   Conocer las características principales de los *Web Workers* de
    HTML5.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Prácticas 5.2 y 5.3.

Sesión 22
=========

Contenidos
----------

Express.

-   Introducción e instalación.

-   Diseño de URLs.

-   Configuración de Express.

Materiales utilizados
---------------------

-   Transparencias del tema 9.

Objetivos de aprendizaje
------------------------

-   Instalar y configurar un servidor Express básico.

Actividades planificadas
------------------------

-   Clase magistral (40 minutos aprox.)

-   Prácticas 6.1 a 6.5.

Sesión 23
=========

Contenidos
----------

-   Introducción a los clientes REST en JavaScript.

-   Promesas en JavaScript.

Materiales utilizados
---------------------

-   Transparencias del tema 9.

Objetivos de aprendizaje
------------------------

-   Desarrollar aplicaciones REST, con cliente en JavaScript y servidor
    básico en JavaScript en Express.

Actividades planificadas
------------------------

-   Clase magistral (30 minutos aprox.)

-   Prácticas 6.6 a 6.8.
